| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
bit.hpp File Reference

GLM_GTX_bit More...

Go to the source code of this file.

## Functions
template<typename genIUType >
GLM_FUNC_DECL genIUType | highestBitValue (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | highestBitValue (vecType< T, P > const &value)
| Find the highest bit set to 1 in a integer variable and return its value. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | lowestBitValue (genIUType Value)
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoAbove (genIUType Value)
| Return the power of two number which value is just higher the input value. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoAbove (vecType< T, P > const &value)
| Return the power of two number which value is just higher the input value. More...
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoBelow (genIUType Value)
| Return the power of two number which value is just lower the input value. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoBelow (vecType< T, P > const &value)
| Return the power of two number which value is just lower the input value. More...
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoNearest (genIUType Value)
| Return the power of two number which value is the closet to the input value. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoNearest (vecType< T, P > const &value)
| Return the power of two number which value is the closet to the input value. More...

## Detailed Description

GLM_GTX_bit

See also
  GLM Core (dependence)

Definition in file bit.hpp.